package kr.co.tobby48.medihand.payload.request.management; 

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import kr.co.tobby48.medihand.models.EManagementStatus;
import kr.co.tobby48.medihand.models.Patient;

/**
 * <pre>
 * kr.co.tobby48.medihand.payload.form 
 * AddManagementForm.java
 *
 * 설명 :
 * </pre>
 * 
 * @since : 2022. 10. 22.
 * @author : tobby48
 * @version : v1.0
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class AddManagementRequest implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	protected String description;
	protected Long startdt;
	protected Long enddt;
	protected EManagementStatus status;
	
	private Patient patient;
	private Long user_id;
	

	public AddManagementRequest() {
	}

	public String getDescription() {
		return description;
	}


	public void setDescription(String description) {
		this.description = description;
	}


	public Long getStartdt() {
		return startdt;
	}


	public void setStartdt(Long startdt) {
		this.startdt = startdt;
	}


	public Long getEnddt() {
		return enddt;
	}


	public void setEnddt(Long enddt) {
		this.enddt = enddt;
	}


	public EManagementStatus getStatus() {
		return status;
	}


	public void setStatus(EManagementStatus status) {
		this.status = status;
	}

	public Patient getPatient() {
		return patient;
	}

	public void setPatient(Patient patient) {
		this.patient = patient;
	}

	public Long getUser_id() {
		return user_id;
	}


	public void setUser_id(Long user_id) {
		this.user_id = user_id;
	}
	
}